checkRequire("Lua_MarryNoInfoShowPanel"); -- 信息-未结婚
checkRequire("Lua_MarryInfoShowPanel"); -- 信息-已结婚
checkRequire("Lua_MarryKeepsakePanel"); -- 信物
checkRequire("Lua_MarryChildInfoPanel"); -- 仙娃
checkRequire("Lua_MarryCopyInfoPanel"); -- 姻缘副本
checkRequire("Lua_MarryGiftBoxPanel"); -- 礼盒
Lua_MarryNewMainWindow = class("Lua_MarryNewMainWindow", Lua_FullSizeTabWindow);
function Lua_MarryNewMainWindow:ctor()
	self.list = Array();
	if DataCenter.marryData.wedding_id ~= nil and DataCenter.marryData.wedding_id ~= 0 then
		self.list:add({name = LanUtil.getValue(144000), panel = Lua_MarryInfoShowPanel, openId = 10086, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});
	else
		self.list:add({name = LanUtil.getValue(144000), panel = Lua_MarryNoInfoShowPanel, openId = 10086, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});
	end
	self.list:add({name = LanUtil.getValue(144001), panel = Lua_MarryKeepsakePanel, openId = 10086, eventIds = { 11601 }, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});
	self.list:add({name = LanUtil.getValue(144002), panel = Lua_MarryChildInfoPanel, openId = 10086, eventIds = { 11602, 11603, 11604, 11605 }, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});
	self.list:add({name = LanUtil.getValue(144003), panel = Lua_MarryCopyInfoPanel, openId = 10086, eventIds = { 11310 }, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});
	self.list:add({name = LanUtil.getValue(144004), panel = Lua_MarryGiftBoxPanel, openId = 10086, eventIds = { 11606 }, titleAltas = "titleName_altas_1", titleSprite = "yinyuan"});

	self:superCall("ctor", self.list);
    self.windowName = "Lua_MarryNewMainWindow";
end

function Lua_MarryNewMainWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	Lua_ProxyManager.getProxy("Lua_MarryNewProxy"):sMarryInfo();
end

function Lua_MarryNewMainWindow:showWin(param)
	local toindex;
	if param ~= nil then
		if type(param) == "number" then
			toindex = param;
		elseif type(param) == "table" and param.openIdx ~= nil then
			toindex = param.openIdx;
			if param.data ~= nil then
				self.defaultShowTvo = param.data;
			end
			if param.nameIndex ~= nil then
				self.defaultShowType = param.nameIndex;
			end
		end
	end

	local index;
	for i = 1, self.tabList:getSize() do
		if self.tabList[i].openId == toindex then
			index = i;
			break;
		end
	end
	index = index == nil and toindex or index;
	self:superCall("showWin", index);
end

function Lua_MarryNewMainWindow:setSelected(val)
	self:superCall("setSelected", val);

	-- 道具跳转
	if self.defaultShowTvo ~= nil and self.curPanel.setDefaultShowTvo ~= nil then
		self.curPanel:setDefaultShowTvo(self.defaultShowTvo);
		self.defaultShowTvo = nil;
	end
	-- 变强事件跳转
	if self.defaultShowType ~= nil and self.curPanel.setDefaultShowType ~= nil then
		self.curPanel:setDefaultShowType(self.defaultShowType);
		self.defaultShowType = nil;
	end
end

function Lua_MarryNewMainWindow:dispose()
	self:superCall("dispose");
end