-- 属性item
Lua_MarrySecAttrsListItem = class("Lua_MarrySecAttrsListItem", Lua_ListCell);
function Lua_MarrySecAttrsListItem:ctor(p, skinName)
	self:superCall("ctor", p, "MarrySecAttrsListItem_skin");
end

function Lua_MarrySecAttrsListItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_MarrySecAttrsListItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	local isPer = Lua_ThingDefine.isPercentParam(data.name) and true or false;
	self.curLab.text = Lua_ThingDefine.getParamName(data.name).."[-]：";

	local posX = self.curLab.mainContent.transform.localPosition.x + self.curLab.width + 14;
	self.curTxt.text = isPer and (data.curValue / 100).."%" or data.curValue;
	self.curTxt:setLocation(posX, 0, 0);

	if data.nextValue == nil or data.nextValue == 0 then
		self.arrow:setEnable(false);
		self.nextTxt.text = "";
	else
		self.arrow:setEnable(true);
		self.nextTxt.text = isPer and (data.nextValue / 100).."%" or data.nextValue;
	end

end

function Lua_MarrySecAttrsListItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end