Lua_MarryNoInfoShowPanel = class("Lua_MarryNoInfoShowPanel", Lua_DisplayObject);
function Lua_MarryNoInfoShowPanel:ctor(p)
	self:superCall("ctor", p, "MarryNoInfoShowPanel_skin");    
end

function Lua_MarryNoInfoShowPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.showList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 710, 472));
	self.showList:setLocation(126, 10, 0);
	self.showList:setListCell(Lua_MarryInfoListItem, 118, 710, 1);
	self.showList:setLuaArrayData(DataCenter.marryNewUtil.marryFunInfoArr, false);
	self.showList.canDrag = false;

	self.processBtn:addClickFuntion(self, self.onProcessBtnClick);
	self.gotoMarryBtn:addClickFuntion(self, self.onGotoMarryBtnClick);
end

-- 打开结婚流程示意图
function Lua_MarryNoInfoShowPanel:onProcessBtnClick(go)
	Lua_WindowUtil.openWin("Lua_MarryProcessDescWindow", WinParam.ACTION_OPEN, nil);
end

-- 传送到结婚NPC
function Lua_MarryNoInfoShowPanel:onGotoMarryBtnClick(go)
	Lua_WindowUtil.openWin("Lua_MarryNewMainWindow", WinParam.ACTION_CLOSE);
	Lua_ProxyManager.getProxy("Lua_MapProxy"):sTransfer(10103, 18366, 1975, 9383, 0);
	Lua_WindowUtil.openWin("Lua_MarryWindow", WinParam.ACTION_OPEN);
end

function Lua_MarryNoInfoShowPanel:dispose()
	if self.showList ~= nil then
		self.showList:dispose();
		self.showList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_MarryInfoListItem = class("Lua_MarryInfoListItem", Lua_ListCell);
function Lua_MarryInfoListItem:ctor(p)
    self:superCall("ctor", p, "MarryInfoListItem_skin");
end

function Lua_MarryInfoListItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_MarryInfoListItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.icon:setAltas(data.config.altasName, data.config.sprName);
	self.icon:resetSize();
	self.txt.text = data.config.desc;
end

function Lua_MarryInfoListItem:dispose()
	self:superCall("dispose");
end