Lua_MarryAttrsListItem = class("Lua_MarryAttrsListItem", Lua_ListCell);
function Lua_MarryAttrsListItem:ctor(p)
	self:superCall("ctor", p, "MarryAttrsListItem_skin");
end

function Lua_MarryAttrsListItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_MarryAttrsListItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = Lua_ThingDefine.getParamName(data.name).."：";

	local str;
	local isPer = false;
	if Lua_ThingDefine.isPercentParam(data.name) == true then
		isPer = true;
		str = (data.curValue / 100).."%";
	else
		str = data.curValue;
	end
	self.curValueTxt.text = str;

	local posX = self.nameTxt.mainContent.transform.localPosition.x + self.nameTxt.width;
	local posY = self.nameTxt.mainContent.transform.localPosition.y;
	self.curValueTxt:setLocation(posX, posY, 0);

	-- posX = self.curValueTxt.mainContent.transform.localPosition.x + self.curValueTxt.width + 20;
	-- posY = self.curValueTxt.mainContent.transform.localPosition.y;
	-- self.nextObj.transform.localPosition = Vector3(posX, posY, 0);

	if data.nextValue == nil or data.nextValue == 0 then
		self.nextObj:SetActive(false);
	else
		self.nextObj:SetActive(true);
		if isPer == true then
			self.nextTxt.text = (data.nextValue / 100).."%";
		else
			self.nextTxt.text = data.nextValue;
		end
	end
end

function Lua_MarryAttrsListItem:dispose()
	self.data = nil;

    self:superCall("dispose");
end