-- 仙娃技能tips
Lua_MarryChildrenSkillDetailWindow = class("Lua_MarryChildrenSkillDetailWindow", Lua_Window);
function Lua_MarryChildrenSkillDetailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MarryChildrenSkillDetailWindow";
	self.skinName = "MarryChildrenSkillDetailWindow_skin";
	-- self.layer = 4500;
	self.isActv = false;
	self.showClose = false;
	self.isClickClose = true;
	self.blackAlpha = 0.5;
end

function Lua_MarryChildrenSkillDetailWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_MarryChildrenSkillDetailWindow:showWin(param)
	self:superCall("showWin", param);

	self.nameTxt.text = param.name;
	self.activeTxt.text = LanUtil.formateStr(LanUtil.getValue(144029), param.activeNeedChildLv.."");
	self.icon:setAltas(param.atlasName, param.iconName);

	--技能类型
	if param.skillType ~= nil then
		if param.skillType == 1 then
			self.typeTxt.text = LanUtil.formateStr(LanUtil.getValue(144028), LanUtil.getValue(110600));
		elseif param.skillType > 1 then
			self.typeTxt.text = LanUtil.formateStr(LanUtil.getValue(144028), LanUtil.getValue(110601));
		end
	else
		self.typeTxt.text = LanUtil.formateStr(LanUtil.getValue(144028), "");
	end

	self.descTxt.text = param.skillDesc;
end

function Lua_MarryChildrenSkillDetailWindow:dispose()
	self:superCall("dispose");
end