checkRequire("Lua_MarryKeepsakeInfoPanel"); -- 信物
Lua_MarryKeepsakePanel = class("Lua_MarryKeepsakePanel", Lua_DisplayObject);
function Lua_MarryKeepsakePanel:ctor(p)
	self:superCall("ctor", p, nil, true);
end

function Lua_MarryKeepsakePanel:buildShowItem()
	self:superCall("buildShowItem");

	-- 根据UI需求，隐藏btnList，直接显示信物界面
	-- local arr = Array();
	-- arr:add({name = LanUtil.getValue(144089), eventIds = {11601}});

	-- self.btnList = Lua_ButtonList.new(self.content, arr, 140, self, self.onButtonListClick,
	-- 	"tab1_souchong_normal", "tab1_souchong_select", Vector4(0, 0, 135, 50), Vector4(0, 0, 135, 50),
	-- 	Lua_ColorDefine.transColor("7f4c75"), Lua_ColorDefine.transColor("2c3a5b"), Vector4(22, 22, 130, 30), 2, "iconantlas1");
	-- self.btnList:setDepth(5);
	-- self.btnList:setRedDotPos(55, 15);
	-- self.btnList:setLocation(-535, 245, 0);
	-- self.btnList:setSelected(1, true);

	self.curPanel = Lua_MarryKeepsakeInfoPanel.new(self.content);

	self:addLuaEvent("rMarryKeepsakeSkillsInfo", self, self.onKeepsakeSkillUpdate);
	Lua_ProxyManager.getProxy("Lua_MarryNewProxy"):sMarryKeepsakeSkillsInfo();
end

-- function Lua_MarryKeepsakePanel:onButtonListClick(val)
-- 	if self.selectIdx == val then
-- 		return;
-- 	end

-- 	if self.curPanel ~= nil then
-- 		self.curPanel:dispose();
-- 		self.curPanel = nil;
-- 	end
-- 	self.selectIdx = val;

-- 	if val == 1 then -- 信物
-- 		self.curPanel = Lua_MarryKeepsakeInfoPanel.new(self.content);
-- 	end
-- end

function Lua_MarryKeepsakePanel:onKeepsakeSkillUpdate()
	if self.curPanel.updateKeepsakeSkill ~= nil then
		self.curPanel:updateKeepsakeSkill();
	end
end

function Lua_MarryKeepsakePanel:dispose()
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	if self.curPanel ~= nil then
		self.curPanel:dispose();
		self.curPanel = nil;
	end

	self:superCall("dispose");
end